Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.expr
Interface LocalAccess

All Superinterfaces:
  Completable

All Known Subinterfaces:
  LocalValue

All Known Implementing Classes:
  ArrayGenerator, AssignArrayGenerator, AssignLocal, Catch, EnterFrame, FilterGuard, Finally, FinishIteratorGenerator, GetLocal, GetQuery, IterableGenerator, LeaveFrame, Production, Range, Root, Synchronized

    public interface LocalAccess

extends Completable

Field Summary
`static int` | `ASSIGNS_LOCAL`
`static int` | `POST_ASSIGNMENT`
`static int` | `POST_USE`
`static int` | `PRE_1_ASSIGNMENT`
`static int` | `PRE_2_ASSIGNMENT`
`static int` | `PRE_ASSIGNMENT`
`static int` | `PRE_USE`
`static int` | `USES_LOCAL`

Method Summary
`int` | `getAccessType(int index)`
`de.grogra.xl.compiler.scope.Local` | `getLocal(int index)`
`int` | `getLocalCount()`
`void` | `setLocal(int index, de.grogra.xl.compiler.scope.Local local)`

Methods inherited from interface de.grogra.xl.expr.Completable
`complete`

Field Detail

### ASSIGNS_LOCAL

    static final int ASSIGNS_LOCAL

See Also:
  Constant Field Values

### POST_ASSIGNMENT

    static final int POST_ASSIGNMENT

See Also:
  Constant Field Values

### POST_USE

    static final int POST_USE

See Also:
  Constant Field Values

### PRE_1_ASSIGNMENT

    static final int PRE_1_ASSIGNMENT

See Also:
  Constant Field Values

### PRE_2_ASSIGNMENT

    static final int PRE_2_ASSIGNMENT

See Also:
  Constant Field Values

### PRE_ASSIGNMENT

    static final int PRE_ASSIGNMENT

See Also:
  Constant Field Values

### PRE_USE

    static final int PRE_USE

See Also:
  Constant Field Values

### USES_LOCAL

    static final int USES_LOCAL

See Also:
  Constant Field Values

Method Detail

### getAccessType

    int getAccessType(int index)

### getLocal

    de.grogra.xl.compiler.scope.Local getLocal(int index)

### getLocalCount

    int getLocalCount()

### setLocal

    void setLocal(int index,
                  de.grogra.xl.compiler.scope.Local local)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD